## GESImageSource GESImageSource — outputs the video stream from a media file as a still image. |

## Synopsis

    #include <ges/ges.h>

                        GESImageSource;
    GESImageSource *    ges_image_source_new                (gchar *uri);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GESTimelineElement
                   +----GESTrackElement
                         +----GESSource
                               +----GESVideoSource
                                     +----GESImageSource

## Implemented Interfaces

GESImageSource implements GESExtractable and GESMetaContainer.

## Properties

      "uri"                      gchar*                : Read / Write / Construct Only

## Description

Outputs the video stream from a given file as a still frame. The frame chosen will be determined by the in-point property on the track element. For image files, do not set the in-point property.

## Details

### GESImageSource

    typedef struct _GESImageSource GESImageSource;

### ges_image_source_new ()

    GESImageSource *    ges_image_source_new                (gchar *uri);

Creates a new GESImageSource for the provided `uri`.

`uri` : | the URI the source should control
Returns : | A new GESImageSource.

## Property Details

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

The location of the file/resource to use.

Default value: NULL